Bug 8666

Summary: Prevent to create baskets for inactive suppliers
Product: Koha Reporter: Julian Maurice <julian.maurice>
Component: AcquisitionsAssignee: Julian Maurice <julian.maurice>
Status: CLOSED FIXED QA Contact: Jonathan Druart <jonathan.druart>
Severity: minor    
Priority: P5 - low CC: chris, jonathan.druart, koha, paul.poulain
Version: 3.8   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Attachments: Bug 8666: Hide 'New basket' link if supplier is inactive
Bug 8666: Hide 'New basket' link if supplier is inactive

Description Julian Maurice 2012-08-22 13:04:26 UTC
It should not be possible to create baskets for inactive suppliers.

"New basket" buttons in acqui/booksellers.pl page are already hidden, but it remains the "New basket" link in acqui/supplier.pl
Comment 1 Julian Maurice 2012-08-22 13:30:04 UTC Comment hidden (obsolete)
Comment 2 Koha Team University Lyon 3 2012-08-23 13:54:16 UTC
Test with sandbox (salers).
It works if there's baskets  already done with the supplier inactivated.
But in case no basket have ever done with this supplier, there is a button "+ new basket" (see "Librairie Bedule" for example"
Comment 3 Julian Maurice 2012-08-24 10:12:54 UTC
Created attachment 11824 [details] [review]
Bug 8666: Hide 'New basket' link if supplier is inactive
Comment 4 Julian Maurice 2012-08-24 10:14:34 UTC
Good catch Koha Team Lyon 3, thanks!

This patch fix both the menu entry and the button.
Comment 5 Koha Team University Lyon 3 2012-08-24 13:20:25 UTC
Everything is Ok for me !
Comment 6 Jonathan Druart 2012-08-27 10:44:06 UTC
QA comment:
If a vendor is inactive, we hide all the "new basket" links.

Marked as Passed QA.
Comment 7 Paul Poulain 2012-09-04 16:04:38 UTC
PAtch pushed. It's more a minor bugfix than an ENH.

(Lyon 3 team signoff added when pushing, see comment 5)
Comment 8 Chris Cormack 2012-09-05 10:07:54 UTC
Pushed to 3.8.x, will be in 3.8.5
Comment 9 Julian Maurice 2012-09-14 13:57:11 UTC
Ok in master and 3.8.x. Marked as RESOLVED.